Subject: Re: Detecting backup slaves of bonding interface in network driver

From: Poornima Kamath <[email-masked]>
Date: Mon, 29 Dec 2008 15:58:49 +0530

Hi Jay,

 Thanks a lot for your  response.
 ib-bonding does have  fail_over_mac functionality and works on both 
RHEL5 and SLES10.

Thanks,
Poornima

Jay Vosburgh wrote:
> Poornima Kamath <[email-masked]> wrote:
>
>   
>> The driver creates virtual interfaces that talk to ethernet interfaces over
>> infiniband,  using an infiniband to ethernet gateway device.
>> The gateway device sends data to all interfaces having same mac address.  For
>> this the driver needs to explicitly tell the gateway device not to send data to
>> the backup slaves.
>> Therefore the driver needs to  know which slaves are backup slaves.
>> The failover mac option  works well,  but it is present for kernels greater
>> than 2.6.24.  So this option is not available for distros like RHEL5, SLES10
>> etc
>>     
>
> 	I believe that RHEL5 and SLES10 contain an "ib-bonding" package
> which includes a backport of the current (or at least a more current)
> bonding driver specifically for use over Infiniband.  I think it's also
> got a couple of other patches to bonding that aren't in the mainline.
> In any event, it has the fail_over_mac functionality.
>
> 	Have you looked at ib-bonding?
>
>   
>> So in order to support these distros I need some way of identifying the backup
>> slaves.
>> Is it ok to check the IFF_SLAVE_INACTIVE flags for these distros?
>>     
>
> 	It will do what you want (identify backup slaves), and is not
> guaranteed to be available in the future.  I doubt that the flag would
> ever go away on RHEL5 or SLES10, but, again, no guarantee.
>
> 	-J
>
> ---
> 	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>